# nubo-back

Painel de dados nubo back end

## Clonando o projeto
Inicialmente voce precisara de uma chave SSH.

caso nao tenha uma chave SSH, crie uma nova

### Gerando uma chave ssh    
abra um terminal e execute o seguinte comando, edite o comentario entre aspas
    
    ssh-keygen -t rsa -b 2048 -C "um comentario aqui, por exemplo notebook"
    
saida no terminal:

    Generating public/private rsa key pair.

    Enter file in which to save the key (C:\Users\10087971/.ssh/id_rsa):  **<-- pode dar enter aqui ou selecionar outro local**

    Enter passphrase (empty for no passphrase):  **<-- coloque uma senha ou enter**

    Enter same passphrase again: **<-- informe a senha ou enter**

    Your identification has been saved in C:\Users\10087971/.ssh/id_rsa

    Your public key has been saved in C:\Users\10087971/.ssh/id_rsa.pub\

Abra esse arquivo e copie a chave gerada, se voce estiver no terminal do vscode é possivel segurar control e clicar no link do arquivo para abrir no editor

estando logado no gitlab acesse a url https://tools.ages.pucrs.br/-/profile/keys e cole a nova chave ssh

    exemplo de chave gerada 
    
    "ssh-rsa asasdasfsadfsdsadasdasdasdasfasdfasfdfsdafsadgdsa notetbook icaro"

### com a chave ssh gerada e cadastrada 
é possivel clonar o repositorio através do comando
ssh://git@tools.ages.pucrs.br:8822/painel-de-dados-nubo/nubo-back.git

## Configurando um ambiente virtual no python

### criando o ambiente virtual
Utilizamos a versão do Python 3.12.4
para criar e ativar o ambiente utilize "python"

    python -m venv venv
    
Em windows:

    .\venv\Scripts\activate <-selecionar opçao A, sempre executar

Em macos

    source venv/bin/activate

se o ambiente foi ativado corretamente aparecerá no terminal o nome do ambiente 

**(venv)** PS C:\Users\10087971\Desktop\ages> 

### instalando as dependencias

    pip install -r requirements.txt

## Rodando o ambiente
    
    python main.py

    uvicorn main:app --reload
