from sqlalchemy import TIMESTAMP, Column, ForeignKey, String
from sqlalchemy.dialects.postgresql import UUID
from .base import Base
import uuid

class DataSource(Base):
    __tablename__ = 'data_source'
    
    id = Column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4)
    data_provider_id = Column(UUID(as_uuid=True), ForeignKey('data_provider.id'))
    created_at = Column(TIMESTAMP, nullable=False)
    updated_at = Column(TIMESTAMP, nullable=False)