from sqlalchemy import Column, Integer, String, ForeignKey
from .base import Base

class UserRole(Base):
    __tablename__ = 'user_role'
    
    id = Column(Integer, primary_key=True, index=True)
    user_id = Column(Integer, ForeignKey('user.id'), nullable=False)
    role_name = Column(String, nullable=False)