from sqlalchemy import Column, String, ForeignKey
from .base import Base
import uuid

class AccountRole(Base):
    __tablename__ = 'account_role'
    
    id = Column(String, primary_key=True, default=str(uuid.uuid4()))
    account_id = Column(String, ForeignKey('account.id'), nullable=False)
    role_name = Column(String, nullable=False)